/*
Theme Name: Hello Amcef
Theme URI:  https://amcef.sk
Author:     AMCEF s.r.o.
Author URI: https://amcef.sk
Template:   hello-elementor
Version:    1.0
License:    GNU General Public License v2 or later
*/



.elementor-nav-menu--dropdown {
	min-width: 13em !important;	
}

.height-48 img {
	width: 48px;
	height: 48px;
}

body {
	background-color: var(--e-global-color-primary) !important;
}

p:last-child {
	margin-bottom: 0 !important;
	padding-bottom: 0 !important;
}



.green-to-green a {
  	transition: color 0.25s ease-in-out !important;
	color: var(--e-global-color-136a8f7) !important;
	text-decoration: underline !important;
}
.green-to-green a:hover {
	color: var(--e-global-color-accent) !important;
}




@media (min-width: 767px) { 
	.main-navigation .elementor-nav-menu--dropdown {
		width: 100% !important;
	}
}
@media (max-width: 1024px) {
	.main-navigation ul {
        padding-bottom: 0px !important;
    }
}
.main-navigation .elementor-nav-menu--dropdown .current-menu-item a {
	color: #ffffff !important;
}
.main-navigation .elementor-nav-menu--dropdown li:not(.current-menu-item) a:hover {	
	color: #c3ebe8 !important;
	background-color: #438183 !important;
}
.main-navigation .elementor-nav-menu--dropdown a {
	border: 0px solid red !important;
}
@media (max-width: 1024px) {
	.main-navigation .elementor-nav-menu--dropdown li:not(.current-menu-item) a:hover {	
		color: #ffffff !important;
		background-color: transparent !important;
	}
	.menu-item.menu-item-type-post_type.current-menu-item a,
	.elementor-52 .elementor-element.elementor-element-a654779 .elementor-nav-menu--dropdown li:first-child a,
	.elementor-980 .elementor-element.elementor-element-140b7fe .elementor-nav-menu--dropdown li:last-child a {
		border-radius: 6px !important;
	}
}




.white-to-green a {
  	transition: color 0.25s ease-in-out !important;
	color: #ffffff !important;
}
.white-to-green a:hover {
	color: var(--e-global-color-136a8f7) !important;
}
.white-to-green a.elementor-item-active {
	color: var(--e-global-color-accent) !important;
}
.menu-btn-hover a.elementor-button.elementor-button-link:hover {
	color: #ffffff !important;
	background-image: linear-gradient(280deg, var(--e-global-color-accent) 0%, var(--e-global-color-accent) 100%) !important;
}

.after-border {
	z-index: 1;
}
.after-border:after {
	content: '';
	width: calc(100% + 2px);
	height: calc(100% + 2px);
	position: absolute;
	left: -1px;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	z-index: -1;
	border-radius: 50px;
	background: rgb(40,110,113);
	background: linear-gradient(148deg, rgba(40,110,113,1) 0%, rgba(39,72,77,1) 50%, rgba(40,110,113,1) 100%);
}

.flex-1 {
	flex: 1 !important;
}


.find-job-img {
	width: calc(100% + 80px) !important;
	max-width: 460px;
	height: calc(100% + 80px) !important;
	top: -40px !important;
	right: -40px !important;
}

.find-job-img .elementor-widget-image,
.find-job-img img {
	height: 100% !important;
}


/* Bottom form */
.bottom-form-wrapper:after {
	content: '';
	width: 40%;
	max-width: 440px;
	height: 100%;
	position: absolute;
	right: 50px;
	top: 0;
	background-image: url('https://centila.amcef.com/wp-content/uploads/2024/11/Isolation_Mode.svg');
	background-position: top right;
	background-repeat: no-repeat;
}
@media (max-width: 767px) {
	.bottom-form-wrapper:after {
		display: none;
	}
}


.odvolanie-suhlasu textarea {
	-webkit-resize: none;
	resize: none;
}

.span-number-color span {
	color: #8CDCDF !important;
}

.bottom-form-inner-wrapper:after {
	content: '';
	width: calc(100% + 2px);
	height: calc(100% + 2px);
	position: absolute;
	left: -1px;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	z-index: -11;
	border-radius: 20px;
	background: rgb(40,110,113);
	background: linear-gradient(148deg, rgba(40,110,113,1) 0%, rgba(39,72,77,1) 50%, rgba(40,110,113,1) 100%);
}
.bottom-form-inner-top:after {
	content: '';
	width: 40%;
	height: 6px;
	position: absolute;
	left: 40px;
	top: -3px;
	margin: auto;
	z-index: -1;
	border-radius: 0;
	border-radius: 50%;
	background: rgb(43,255,255);
	background: linear-gradient(90deg, rgba(43,255,255,0) 0%, rgba(43,255,255,1) 50%, rgba(43,255,255,0) 100%);
	filter: blur(2px);
}

/* Developer slider swiper-slide-active  */
.swiper-slide {
	position: relative;
	z-index: 1;
	padding: 4px 0;
	padding: 10px 0 2px 0;
}
.swiper-slide .developer-item:after {
	content: '';
	width: calc(100% + 2px);
	height: calc(100% + 2px);
	position: absolute;
	left: -1px;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	z-index: -11;
	border-radius: 16px;
	background: rgb(40,110,113);
	background: linear-gradient(148deg, rgba(40,110,113,1) 0%, rgba(39,72,77,1) 50%, rgba(40,110,113,1) 100%);
}
.swiper-slide-active:has(.developer-item) .developer-item:before {
	content: '';
	width: 70%;
	height: 6px;
	position: absolute;
	left: 0;
	right: 0;
	top: -3px;
	margin: auto;
	z-index: -1;
	border-radius: 0;
	border-radius: 50%;
	background: rgb(43,255,255);
	background: linear-gradient(90deg, rgba(43,255,255,0) 0%, rgba(43,255,255,1) 50%, rgba(43,255,255,0) 100%);
	filter: blur(2px);
}
.elementor-widget-loop-carousel.elementor-element :is(.swiper,.swiper-container)~.elementor-swiper-button-next {
	z-index: 111 !important;
}

/* Developer slider blur circle na pozadi */
.developer-slider-wrapper {
	z-index: 1;
}
.developer-slider-wrapper:after {
	content: '';
	width: 25%;
	height: 175%;
	position: absolute;
	left: 0;
	right: 0;
	top: 25%;
	bottom: 0;
	margin: auto;
	background: #469295;
	z-index: -1;
	border-radius: 50%;
	filter: blur(30px);
	opacity: 0.25;
}
@media (max-width: 767px) {
	.developer-slider-wrapper:after {
		width: 40%;
		height: 300px;
		top: -25%;
	}
}

/* Developer slider gradienty po bokoch */
.developer-slider-wrapper > .elementor-widget-container {
	position: relative;
}
.developer-slider-wrapper > .elementor-widget-container:after {
	content: '';
	width: 15%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	background: rgb(25,39,42);
	background: linear-gradient(90deg, rgba(25,39,42,1) 0%, rgba(25,39,42,0) 100%);
	z-index: 1;
}
.developer-slider-wrapper > .elementor-widget-container:before {
	content: '';
	width: 15%;
	height: 100%;
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	background: rgb(25,39,42);
	background: linear-gradient(270deg, rgba(25,39,42,1) 0%, rgba(25,39,42,0) 100%);
	z-index: 11;
}

/* Blur objekt na pozadi */
.blur-bg > .e-con-inner {
	position: relative;
	z-index: 1;
}	
.blur-bg:after {
	content: '';
	width: 50%;
	max-width: 520px;
	height: 75%;
	position: absolute;
	left: 0;
	right: 0;
	top: -250px;
	bottom: 0;
	margin: auto;
	background: #469295;
	border-radius: 50%;
	filter: blur(100px);
	opacity: 0.35;
}	
.blur-bg-for-business:after {
	content: '';
	width: 30%;
	max-width: 520px;
	height: 70%;
	position: absolute;
	right: -100px;
	top: -100px;
	bottom: 0;
	margin: auto;
	z-index: -1;
	background: #469295;
	border-radius: 50%;
	filter: blur(75px);
	opacity: 0.2;
}	
@media (max-width: 767px) {
	.elementor-22 .elementor-element.elementor-element-3abb110:not(.elementor-motion-effects-element-type-background) {
		background-image: none !important;
	}
	.blur-bg-for-business:after {
		right: 0;
	}
}

@media (max-width: 767px) {
	.blur-bg-for-business {
		background-size: 60% !important;
	}
}


.blur-bg-kontakt:after {
	content: '';
	width: 50%;
	max-width: 520px;
	height: 75%;
	position: absolute;
	left: 0;
	right: 0;
	top: -250px;
	bottom: 0;
	margin: auto;
	background: #469295;
	border-radius: 50%;
	filter: blur(100px);
	opacity: 0.35;
}	



.box-divider > .elementor-element:after {
	content: '';
	width: 1px;
	height: 100%;
	position: absolute;
	right: -80px;
	top: 0;
	bottom: 0;
	margin: auto;
	background: #304b50;
}	
.box-divider > .elementor-element:last-child:after {
	width: 0;
	height: 0;
	background: transparent;
}
@media (max-width: 1024px) {
	.box-divider > .elementor-element:after {
		content: '';
		width: 0;
		height: 0;
		right: 0;
		background: transparent;
	}	
}



/* Grid align */
.grid-5-items {

}
	
	.grid-5-items > .elementor-element:nth-child(1) { grid-area: 1 / 1 / 2 / 3; }
	.grid-5-items > .elementor-element:nth-child(2) { grid-area: 1 / 3 / 2 / 5; }
	.grid-5-items > .elementor-element:nth-child(3) { grid-area: 1 / 5 / 2 / 7; }
	.grid-5-items > .elementor-element:nth-child(4) { grid-area: 2 / 2 / 3 / 4; }
	.grid-5-items > .elementor-element:nth-child(5) { grid-area: 2 / 4 / 3 / 6; }

@media (max-width: 767px) {
	.grid-5-items > .elementor-element:nth-child(1) { grid-area: 1 / 1 / 2 / 2; }
	.grid-5-items > .elementor-element:nth-child(2) { grid-area: 2 / 1 / 3 / 2; }
	.grid-5-items > .elementor-element:nth-child(3) { grid-area: 3 / 1 / 4 / 2; }
	.grid-5-items > .elementor-element:nth-child(4) { grid-area: 4 / 1 / 5 / 2; }
	.grid-5-items > .elementor-element:nth-child(5) { grid-area: 5 / 1 / 6 / 2; }
}






/* Job loop item */
.job-loop-wrapper  .elementor-shortcode,
.job-loop-wrapper  .elementor-widget-shortcode {
	height: 100% !important;
}
.job-loop-top-wrapper {
	display: flex;
	flex-direction: column;
	gap: 15px;
}
.job-loop-bottom-wrapper {
	display: flex;
	flex-direction: column;
	gap: 15px;
}
.job-loop-item-wrapper {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 30px;
	gap: 25px;
	background-color: #ffffff;
	border-radius: 16px;
	font-family: "Urbanist", Sans-serif;
}
.job-loop-title-wrapper {
	width: 100%;
	display: flex;
	gap: 20px;
}
.job-loop-icon-row {
	width: 80px;
}
.job-loop-icon-row img {
	display: block;
	border-radius: 20px !important;
}
.job-loop-title-row {
	width: 100%;
	flex: 1;
	display: flex;
	gap: 5px;
	flex-direction: column;
	justify-content: center;
}
.job-loop-title-row h3,
.job-loop-title-row h6 {
	padding: 0;
	margin: 0;
}
.job-loop-title-row h3 {
	font-size: 24px;
	font-weight: 700;
}
.job-loop-title-row h6 {
	font-size: 14px;
	font-weight: 400;
}
.job-loop-location-wrapper {
	font-size: 16px;
	font-weight: 700;
	display: flex;
}
.job-loop-location-wrapper .city,
.job-loop-location-wrapper .location {
	display: flex;
	align-items: center;
	gap: 10px;
}
.job-loop-location-wrapper .city {
	width: 60%;
}
.job-loop-location-wrapper .location-icon {
	display: flex;
	align-items: center;
}
.job-loop-location-wrapper .city img {
	display: block;
}
.job-loop-location-wrapper .location {
	width: 40%;
	justify-content: flex-end;
}

.job-loop-location-wrapper .city.width-100,
.job-loop-location-wrapper .location.width-100 {
	width: 100%;
}
.job-loop-button-wrapper {
	width: 100%;
	font-size: 16px;
	font-weight: 700;
	text-align: center;
	padding: 16px;
	border-radius: 12px;
}
.job-loop-item-wrapper.inactive {
	pointer-events: none !important;
}
.job-loop-item-wrapper.inactive::after {
	content: '	';
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	background-color: var(--e-global-color-primary);
	opacity: 0.5;
	border-radius: 15px;
}
.job-loop-item-wrapper.inactive::before {
	content: '	';
	width: 40px;
	height: 40px;
	position: absolute;
	top: 35px;
	right: 35px;
	margin: auto;
	background-image: url('https://centila.amcef.com/wp-content/uploads/2024/12/locked-circle.svg');
	background-position: center;
	background-repeat: no-repeat;
	z-index: 1;
}

/* Farby */
/* BASE */
.job-loop-item-wrapper.base h3,
.job-loop-item-wrapper.base h6 {
	color: #212121 !important;
}
.job-loop-item-wrapper.base .job-loop-icon-row img {
	background-color: #212121;
}
.job-loop-item-wrapper.base .job-loop-content-wrapper,
.job-loop-item-wrapper.base .job-loop-location-wrapper {
	color: #212121 !important;
}
.job-loop-item-wrapper.base .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: #212121 !important;
	transition: all 0.25s ease-in-out;
}
.job-loop-item-wrapper.base:hover .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-492b119) !important;
}

/* TOP */
.job-loop-item-wrapper.top h3,
.job-loop-item-wrapper.top h6 {
	color: var(--e-global-color-600cb06) !important;
}
.job-loop-item-wrapper.top .job-loop-icon-row img {
	background-color: var(--e-global-color-600cb06);
}
.job-loop-item-wrapper.top .job-loop-content-wrapper,
.job-loop-item-wrapper.top .job-loop-location-wrapper {
	color: #212121 !important;
}
.job-loop-item-wrapper.top .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-600cb06) !important;
	transition: all 0.25s ease-in-out;
}
.job-loop-item-wrapper.top:hover .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-492b119) !important;
}

/* REMOTE */
.job-loop-item-wrapper.remote h3,
.job-loop-item-wrapper.remote h6 {
	color: var(--e-global-color-eab922b) !important;
}
.job-loop-item-wrapper.remote .job-loop-icon-row img {
	background-color: var(--e-global-color-eab922b);
}
.job-loop-item-wrapper.remote .job-loop-content-wrapper,
.job-loop-item-wrapper.remote .job-loop-location-wrapper {
	color: #212121 !important;
}
.job-loop-item-wrapper.remote .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-eab922b) !important;
	transition: all 0.25s ease-in-out;
}
.job-loop-item-wrapper.remote:hover .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-492b119) !important;
}

/* INACTIVE */
.job-loop-item-wrapper.inactive h3,
.job-loop-item-wrapper.inactive h6 {
	color: #212121 !important;
}
.job-loop-item-wrapper.inactive .job-loop-icon-row img {
	background-color: #212121;
}
.job-loop-item-wrapper.inactive .job-loop-content-wrapper,
.job-loop-item-wrapper.inactive .job-loop-location-wrapper {
	color: #212121 !important;
}
.job-loop-item-wrapper.inactive .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: #212121 !important;
	transition: all 0.25s ease-in-out;
}
.job-loop-item-wrapper.inactive:hover .job-loop-button-wrapper {
	color: #ffffff !important;
	background-color: var(--e-global-color-492b119) !important;
}




.job-detail-text ul {
	margin: 0 0 0 16px;
	padding: 0;
}
.job-detail-text ul li::marker {
    color: green;
    font-size: 1.2em; /* Voliteľné: zmení veľkosť značiek */
}


.job-detail-text h3 {
	font-family: var(--e-global-typography-primary-font-family);
	font-size: 32px;
	font-weight: 700;
	line-height: 42px;
	margin-top: 40px; 
}
.job-detail-text h3:first-child {
	margin-top: 0px; 
}










/* Formular */



.send-cv-wrapper {
    font-family: "Urbanist", Sans-serif !important;
}






.send-cv-wrapper .elementor-field-group-field_0b61329 {
	border: 1px dashed #E5E7EB !important;
	padding: 25px !important;
	border-radius: 8px;
    margin-right: calc(10px / 2) !important;
    margin-left: calc(10px / 2) !important;
}
.send-cv-wrapper .elementor-field-group-field_0b61329 label {
	color: #6B7280 !important;
    font-family: "Urbanist", Sans-serif !important;
}



.send-cv-wrapper .elementor-field-group-field_168ed76 {
	flex-direction: row-reverse;
	justify-content: flex-end !important;
	padding: 0 !important;
    margin-right: calc(10px / 2) !important;
    margin-left: calc(10px / 2) !important;
}
.send-cv-wrapper .elementor-field-group-field_168ed76 label {
	display: flex;
	align-items: center;
	padding-bottom: 0 !important;
	height: 100%;
	color: #6B7280 !important;
    font-family: "Urbanist", Sans-serif !important;
}

.send-cv-wrapper .elementor-field-group-field_168ed76 .elementor-field-subgroup  {
/* 	width: 26px; */
	flex-basis: auto !important;
}





/* Skryj pôvodný input */
#form-field-field_0b61329 {
    display: none;
}
#form-field-message {
	resize: none;
}
/* Štýlový drag & drop box */
.send-cv-wrapper .drop-zone {
    width: 100%;
    padding: 40px 20px 30px 20px;
    border: 1px dashed #ccc;
	background-color: #f9fafb;
    text-align: center;
    cursor: pointer;
    transition: 0.3s;
	border-radius: 4px;
}
.send-cv-wrapper .drop-zone:hover {
    border-color: #387577;
    color: #387577;
	background-color: #e0f2f3;
}
.send-cv-wrapper .drop-zone.dragover {
    border-color: #28a745;
    color: #28a745;
}
.send-cv-wrapper .drop-zone-icon img {
	width: 70px;
	margin-bottom: 10px;
}
.send-cv-wrapper .drop-zone-text {
    font-size: 16px;
	font-weight: 500;
    color: #1F2937;
	margin-bottom: 10px;
}
.send-cv-wrapper .drop-zone-text span {
    font-size: 16px;
	font-weight: 700;
    color: #469295;
}
.send-cv-wrapper .drop-zone-description {
    font-size: 14px;
	font-weight: 500;
    color: #9CA3AF;
}








.gdpr-show-info {
	display: none;
	padding: 5px;
    margin-bottom: 20px;
}
.gdpr-show-info a {
	text-decoration: underline !important;
	font-weight: 500 !important;
	color: #6B7280 !important;
	transition: all 0.5s ease-in-out;
}

.gdpr-show-info a:hover {
	color: var(--e-global-color-primary) !important;
}




/* Accordion */

/* Style the buttons that are used to open and close the accordion panel */
.accordion {
	color: #111928;
	cursor: pointer;
	width: 100%;
	text-align: left;
	border: none;
	outline: none;
	transition: 0.4s;
	font-family: "Urbanist", Sans-serif !important;
	font-weight: 700;
	font-size: 16px;
	padding: 0;
	border-bottom: 1px solid #F3F4F6;
	padding-bottom: 10px;
}
.accordion.no-bottom-border {
	border-bottom: 1px solid #ffffff;
}
  
.accordion:focus {
	color: #111928 !important;
	background-color: transparent !important;
}
.active, .accordion:hover {
	color: #111928 !important;
	background-color: transparent !important;
}
.accordion:hover {
	color: #111928 !important;
	background-color: transparent !important;
}
.panel {
	/* padding: 0 18px; */
	background-color: white;
	/* display: none; */
	overflow: hidden;
}
.panel ul {
	margin: 0;
	padding: 10px 0 0 0;
	list-style: none;
	font-family: 'urbanistant', sans-serif;
	font-size: 16px;
	font-weight: 400;
	color: #111928;
}
.panel ul li {
	padding: 10px 0 !important;
	color: #111928;
}
.panel ul li a {
	display: block;
	color: #111928;
}


/* .elementor-nav-menu--main .elementor-nav-menu a */

.main-lang-switcher .elementor-nav-menu a {
	padding: 0 !important;
}
.main-lang-switcher .elementor-nav-menu a img {
	padding: 0 !important;
	margin-right: 10px !important;
}
.main-lang-switcher .sub-arrow {
	padding: 0 !important;
	margin-left: 10px !important;
}

.main-lang-switcher .elementor-nav-menu--dropdown {
	min-width: auto !important;
	left: -10px !important;
	background-color: transparent !important;
	padding-top: 10px !important;
}
.main-lang-switcher ul.elementor-nav-menu--dropdown a {
	border-inline-start: 0 !important;
	color: #ffffff !important;
	font-weight: 400 !important;
}
.main-lang-switcher .elementor-nav-menu--dropdown li {
	padding: 10px 15px !important;
	border-radius: 50px;
	background-color: #458f92 !important;
}
.main-lang-switcher .elementor-nav-menu--dropdown li:hover {
	background-color: #031919 !important;
}

.main-lang-switcher .elementor-sub-item:hover {
	background-color: transparent !important;
}

@media (min-width: 1025px) {
	.flex-1-pc {
		flex: 1 !important;
	}
}

@media (max-width: 767px) {

	.footer-nav-align-center a {
		display: block !important;
		text-align: center !important;
	}
}






/* main-navigation */

@media (max-width: 1024px) {

	.main-navigation ul {
		padding-bottom: 50px;
	}
	.main-navigation li {
		padding: 5px 20px !important;
	}
	.main-navigation li a {
		padding: 15px 20px !important;
		border-radius: 50px;
	}
	.main-navigation li a:hover {
		background-color: #162226 !important;
	}
	.main-navigation li a.elementor-item-active {
		color: #7fc6c9 !important;
		background-color: #263b42 !important;
	}




	

	.main-navigation-index ul {
		padding-bottom: 50px;
	}
	.main-navigation-index li {
		padding: 5px 20px !important;
	}
	.main-navigation-index li a {
		padding: 15px 20px !important;
		border-radius: 50px;
	}
	.main-navigation-index li a:hover {
		background-color: #022222 !important;
	}
	.main-navigation-index li a.elementor-item-active {
		color: #a4e2e5 !important;
		background-color: #053c3c !important;
	}

}